{% extends "shop/buy_base.html" %}


{% block content %}
{{ super() }}
<h1>{{ _("step0.title") }}</h1>
<form method="post" action="?step={{ step }}">
    {{ wizard.management_form|safe }}
    {% if form.errors %}
    <div class="form-errors">
        <h4>{{ _("form.errors", 'shop') }}</h4>
        {% if  form.errors.__all__ %}
        <ul class="form-errors">
            {% for error in form.errors.__all__ %}
            <li>{{ _(error) }}</li>
            {% endfor %}
        </ul>
        {% endif %}
    </div>
    {% endif %}

    {% for field in form.hidden_fields() %}
        {{ field|safe }}
    {% endfor %}
    {{ csrf() }}
    <ul>
        {% for field in form.visible_fields() %}
        <li class="{% if field.field.required %}required{% endif %}">
            <label for="{{ field.id_for_label }}">{{ _(field.label) }}</label>
            {{ field|safe }}
            {{ field.errors|safe }}
        </li>
        {% endfor %}
    </ul>
    <button class="step">{{ _("step0.submit") }}</button>
</form>
{% endblock %}
